<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>jdraw.framework (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="jdraw.framework (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;jdraw.framework</h1>
<div class="docSummary">
<div class="block">Contains all interfaces and implementations of the base framework of the
JDraw editor.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawCommand.html" title="interface in jdraw.framework">DrawCommand</a></td>
<td class="colLast">
<div class="block">The interface DrawCommand defines the functionality provided by
 commands which can be stored in the command history.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawCommandHandler.html" title="interface in jdraw.framework">DrawCommandHandler</a></td>
<td class="colLast">
<div class="block">The interface DrawCommandHandler defines the handler which allows to
 access the command history provided by a draw model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework">DrawContext</a></td>
<td class="colLast">
<div class="block">The interface DrawContext represents the context which contains and 
 presents the draw view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawGrid.html" title="interface in jdraw.framework">DrawGrid</a></td>
<td class="colLast">
<div class="block">A DrawGrid is used to restrict the coordinates used when the mouse is
 clicked.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework">DrawModel</a></td>
<td class="colLast">
<div class="block">The class DrawModel represents the model of a drawing, i.e.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework">DrawModelListener</a></td>
<td class="colLast">
<div class="block">Listener interested in draw model changes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a></td>
<td class="colLast">
<div class="block">A tool defines a mode of the drawing view, intended to be set over a tool
 bar.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawToolFactory.html" title="interface in jdraw.framework">DrawToolFactory</a></td>
<td class="colLast">
<div class="block">A DrawTool factory creates an instance of a draw tool and returns an icon
 which can be used in the tool palette of the graphics editor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a></td>
<td class="colLast">
<div class="block">The class DrawView displays a graphic model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></td>
<td class="colLast">
<div class="block">Base interface for all figures implemented in the graphic editor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/FigureGroup.html" title="interface in jdraw.framework">FigureGroup</a></td>
<td class="colLast">
<div class="block">This interface provides access to figure parts for those figures 
 which consist of several parts, as e.g.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../jdraw/framework/FigureHandle.html" title="interface in jdraw.framework">FigureHandle</a></td>
<td class="colLast">
<div class="block">Handles are used to change a figure by direct manipulation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework">FigureListener</a></td>
<td class="colLast">
<div class="block">Listener interested in figure changes.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawModelEvent.html" title="class in jdraw.framework">DrawModelEvent</a></td>
<td class="colLast">
<div class="block">An event which indicates that a draw model has changed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../jdraw/framework/FigureEvent.html" title="class in jdraw.framework">FigureEvent</a></td>
<td class="colLast">
<div class="block">An event which indicates that a figure event occurred in a figure.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../jdraw/framework/DrawModelEvent.Type.html" title="enum in jdraw.framework">DrawModelEvent.Type</a></td>
<td class="colLast">
<div class="block">This enum describes the type of event.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package jdraw.framework Description">Package jdraw.framework Description</h2>
<div class="block">Contains all interfaces and implementations of the base framework of the
JDraw editor. The main interfaces that have to be used are defined here.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
